> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Roles

> Returns the owner, drivers and assigned payer roles for a vehicle. Requires a Tesla Business account.



## OpenAPI

````yaml get /{vin}/roles
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/roles:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Driver Management
      summary: Get Roles
      description: >-
        Returns the owner, drivers and assigned payer roles for a vehicle.
        Requires a Tesla Business account.
      operationId: get-roles
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    result:
                      owner:
                        entity_type: PERSON
                        account_id: '123456789'
                        federation_id: abcdef12-3456-7890-abcd-ef1234567890
                        company_name: null
                        email: owner@example.com
                      drivers:
                        - entity_type: PERSON
                          account_id: '987654321'
                          federation_id: fedcba98-7654-3210-fedc-ba9876543210
                          company_name: null
                          email: driver@example.com
                      payers:
                        subscription:
                          entity_type: BUSINESS
                          account_id: '555555555'
                          federation_id: 11111111-2222-3333-4444-555555555555
                          company_name: Example Fleet
                          email: billing@example.com
                        charging:
                          entity_type: PERSON
                          account_id: '123456789'
                          federation_id: abcdef12-3456-7890-abcd-ef1234567890
                          company_name: null
                          email: owner@example.com
                properties:
                  result:
                    type: object
                    properties:
                      owner:
                        type: object
                        properties:
                          entity_type:
                            type: string
                            nullable: true
                            enum:
                              - PERSON
                              - BUSINESS
                          account_id:
                            type: string
                            nullable: true
                          federation_id:
                            type: string
                            nullable: true
                          company_name:
                            type: string
                            nullable: true
                          email:
                            type: string
                            nullable: true
                      drivers:
                        type: array
                        items:
                          type: object
                          properties:
                            entity_type:
                              type: string
                              nullable: true
                              enum:
                                - PERSON
                                - BUSINESS
                            account_id:
                              type: string
                              nullable: true
                            federation_id:
                              type: string
                              nullable: true
                            company_name:
                              type: string
                              nullable: true
                            email:
                              type: string
                              nullable: true
                      payers:
                        type: object
                        properties:
                          subscription:
                            type: object
                            nullable: true
                            properties:
                              entity_type:
                                type: string
                                nullable: true
                                enum:
                                  - PERSON
                                  - BUSINESS
                              account_id:
                                type: string
                                nullable: true
                              federation_id:
                                type: string
                                nullable: true
                              company_name:
                                type: string
                                nullable: true
                              email:
                                type: string
                                nullable: true
                          charging:
                            type: object
                            nullable: true
                            properties:
                              entity_type:
                                type: string
                                nullable: true
                                enum:
                                  - PERSON
                                  - BUSINESS
                              account_id:
                                type: string
                                nullable: true
                              federation_id:
                                type: string
                                nullable: true
                              company_name:
                                type: string
                                nullable: true
                              email:
                                type: string
                                nullable: true
              examples:
                Example 1:
                  value:
                    result:
                      owner:
                        entity_type: PERSON
                        account_id: '123456789'
                        federation_id: abcdef12-3456-7890-abcd-ef1234567890
                        company_name: null
                        email: owner@example.com
                      drivers:
                        - entity_type: PERSON
                          account_id: '987654321'
                          federation_id: fedcba98-7654-3210-fedc-ba9876543210
                          company_name: null
                          email: driver@example.com
                      payers:
                        subscription:
                          entity_type: BUSINESS
                          account_id: '555555555'
                          federation_id: 11111111-2222-3333-4444-555555555555
                          company_name: Example Fleet
                          email: billing@example.com
                        charging:
                          entity_type: PERSON
                          account_id: '123456789'
                          federation_id: abcdef12-3456-7890-abcd-ef1234567890
                          company_name: null
                          email: owner@example.com
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````